#
# spec file for package kfind
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kfind
Version:        16.11.90
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.11.90 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        KDE Find File Utility
License:        GPL-2.0+
Group:          Productivity/File utilities
Url:            http://www.kde.org/
Source:         %{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  karchive-devel >= 5.7.0
BuildRequires:  kdelibs4support-devel >= 5.7.0
BuildRequires:  kdoctools-devel >= 5.7.0
BuildRequires:  kf5-filesystem
BuildRequires:  update-desktop-files
BuildRequires:  hicolor-icon-theme
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KFind allows you to search for directories and files.

%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build

  %suse_update_desktop_file org.kde.kfind          System Filesystem core

  find %{buildroot} -type f -name '*filenamesearch*' -print -delete

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun


%files
%defattr(-,root,root)
#doc COPYING* README
%{_kf5_bindir}/kfind
%{_kf5_applicationsdir}/org.kde.kfind.desktop
%dir %{_kf5_appstreamdir}
%{_kf5_appstreamdir}/org.kde.kfind.appdata.xml
%{_kf5_iconsdir}/hicolor/*/apps/kfind.*
%dir %{_kf5_htmldir}/en
%dir %{_kf5_htmldir}
%doc %{_kf5_htmldir}/en/kfind/
%doc %{_kf5_mandir}/man1/kfind.*

%changelog
